Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex MetaData Hub
  • About Yandex MetaData Hub
    • Getting started
    • Service roles for access management
    • Troubleshooting
    • Terraform reference
      • API authentication
        • Overview
          • Overview
          • List
          • Get
          • Reschedule
    • Yandex Monitoring metrics
    • Audit Trails events
  • Access management
  • Quotas and limits
  • Pricing policy
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Path parameters
  • Response
  • Resource
  • Detail
  1. Apache Hive™ Metastore
  2. API reference
  3. REST
  4. Maintenance
  5. Get

Managed Service for Hive Metastore™ API, REST: Maintenance.Get

Written by
Yandex Cloud
Updated at August 26, 2026
View in Markdown
  • HTTP request
  • Path parameters
  • Response
  • Resource
  • Detail

Retrieves the specific Maintenance by ID.

HTTP requestHTTP request

GET https://metastore.api.cloud.yandex.net/managed-metastore/v1/maintenances/{maintenanceId}

Path parametersPath parameters

GetMaintenanceRequest allows getting Maintenance by ID.

Field

Description

maintenanceId

string

Required field.

The maximum string length in characters is 50.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "resourcePath": [
    {
      "id": "string",
      "type": "string"
    }
  ],
  "description": "string",
  "details": [
    {
      "key": "string",
      "value": "string"
    }
  ],
  "status": "string",
  "createdAt": "string",
  "startScheduledAt": "string",
  "completionScheduledAt": "string",
  "maxStartScheduledAt": "string",
  "startedAt": "string",
  "succeededAt": "string",
  "cancelledAt": "string",
  "userControllable": "boolean"
}

Field

Description

id

string

ID of the maintenance.

resourcePath[]

Resource

Full path to the resource affected by maintenance,
represented as a hierarchy from specific resource to top-level container.
Example for a Compute instance with ID "I" in folder "F" and cloud "C":
resource_path = [
{ "compute.instance", "I" },
{ "resource-manager.folder", "F" },
{ "resource-manager.cloud", "C" }
]

description

string

Describes action to be performed.

details[]

Detail

Service-specific details.

status

enum (Status)

Status of the maintenance.

  • SCHEDULED: Maintenance is scheduled for a future time.
  • RUNNING: Maintenance is currently running.
  • SUCCEEDED: Maintenance completed successfully.
  • CANCELLED: Maintenance is cancelled and will not run.

createdAt

string (date-time)

The creation time of the maintenance.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

startScheduledAt

string (date-time)

The time when the maintenance was scheduled to start.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

completionScheduledAt

string (date-time)

The time when the maintenance is estimated to complete. Optional.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

maxStartScheduledAt

string (date-time)

Latest time the maintenance can be postponed to.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

startedAt

string (date-time)

The time time when the maintenance has actually started.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

succeededAt

string (date-time)

The time time when the maintenance has actually completed successfully.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

cancelledAt

string (date-time)

The time time when the maintenance has actually been cancelled.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

userControllable

boolean

Indicates whether the user can control (reschedule) the maintenance.

ResourceResource

Field

Description

id

string

ID of the resource

type

string

The type of the resource, e.g. resource-manager.cloud, resource-manager.folder, compute.instance, etc.

DetailDetail

Field

Description

key

string

Unique key (service-specific).

value

string

Description (service-specific).

Was the article helpful?

Previous
List
Next
Reschedule
© 2026 Direct Cursus Technology L.L.C.